class AlertShiftsController < ApplicationController
  model_data_store(AlertShift)
  protect_with("MachineAlertRule", "MachineAlertRule")

  def before_set_targets
    AlertShift.joins(:alert_rule)
  end

  def update
    params = model_params
    alert_recipients = @model.alert_recipients.pluck(:target_id)
    alert_recipients_to_delete = alert_recipients - params[:alert_recipients]
    alert_recipients_to_add = params[:alert_recipients] - alert_recipients

    AlertShift.transaction do
      @model.shift_id = params[:shift_id]
      @model.alert_recipients.where(AlertRecipient.arel_table[:target_id].in(alert_recipients_to_delete)).destroy_all
      @model.alert_recipients.create(alert_recipients_to_add.map {|ar| {target_id: ar}})
      if @model.save
        render :show
      else
        render json: @model.errors, status: :unprocessable_entity
      end
    end
  end

  private
    # Only allow a list of trusted parameters through.
  def model_params
    params.require(:alert_shift).permit(:shift_id, :alert_rule_id, alert_recipients: [])
  end
end
