# frozen_string_literal: true

class MachineGroupsController < ApplicationController
  def all
    # Proxy to Rx-data for Machine Groups
    @models = RxModule::Communicator.call_module_method_internal("rx_data", "/api/machine_groups", :get)[:models]
    render :index
  rescue => e
    render status: :internal_server_error, json: {error: "unexpected error.", details: e}
  end
end
