import {observer} from "mobx-react-lite";
import {useModelContext} from "@rx-suite/ui";
import {SyntheticEvent} from "react";
import * as React from "react";
import {ParameterInput} from "./ParameterInput";
import { AlertRuleModel } from "../../stores/AlertRuleStore";

type TriggerDurationInput = {
    ruleModel: "MachineRemainsInStateRuleParameters";
    name: string;
}
export const TriggerDurationInput: React.FunctionComponent<TriggerDurationInput> = observer(({ruleModel, name}) => {
    const model = useModelContext() as AlertRuleModel;

    const minutesToSeconds = (event: SyntheticEvent) => {
        if(event.target.value === '') {
            model.viewModel.parameters[name] = event.target.value;
        } else {
            model.viewModel.parameters[name] = parseInt(event.target.value) * 60;
        }
    }

    const value = () => {
        if(model.viewModel.parameters[name] === '' || model.viewModel.parameters[name] === undefined) {
            return model.viewModel.parameters[name]
        }
        return model.viewModel.parameters[name] / 60;
    }

    return <ParameterInput ruleModel={ruleModel} name={name} onChange={minutesToSeconds} value={value()}/>
})