import * as React from "react";
import {observer} from "mobx-react-lite";
import Box from "@material-ui/core/Box";
import {InfoRounded} from "@material-ui/icons";
import {Typography} from "@material-ui/core";
import {t} from "@lingui/macro";
import {ModelSelect} from "@rx-suite/ui";
import {AlertingEmailStore} from "../../../stores/AlertingEmailStore";
import {ShiftStore, UserPickerStore} from "@rx-suite/stores";
import {AlertShiftStore} from "../../../stores/AlertShiftStore";
import {useEmailRecipientOptions} from "../../../hooks/useAlertRecipientsOptions";

export const RuleRecipientsDialogForm: React.FunctionComponent = observer(() => {
    const shiftOptions = ShiftStore.models.map(s => {
        return (
            {label: s.name, value: s.id}
        )
    });

    return (
        <div>
            <Box display={'flex'} mb={0.5}>
                <Box display={'flex'} alignItems={'center'} mr={0.5}>
                    <InfoRounded style={{fontSize: '1.25rem'}}/>
                </Box>
                <Typography >{t`Select recipients and during which shift they should receive this alert.`}</Typography>
            </Box>
            <ModelSelect
                name={'alert_recipients'}
                options={useEmailRecipientOptions()}
                multiple
                loading={AlertingEmailStore.isLoading ||  UserPickerStore.isLoading}
            />
            <ModelSelect
                label={t`Alert During Shift`}
                name={'shift_id'}
                options={shiftOptions}
                loading={AlertShiftStore.isLoading}
            />
        </div>

    )
})
