import * as React from "react";
import {observer} from "mobx-react-lite";
import {TriggerDurationInput} from "../TriggerDurationInput";
import {ParameterSelect} from "../ParameterSelect";

export const MachineRemainsInStateTriggerParameters: React.FunctionComponent = observer(() => {
    const machineStateOptions = [
        {label: 'ON', value: 'on'},
        {label: 'NOTREADY', value: 'notready'},
        {label: 'READY', value: 'ready'},
        {label: 'WAITINGFORJOBS', value: 'waitingforjobs'},
        {label: 'PROCESSING', value: 'processing'},
        {label: 'MAINTENANCE', value: 'maintenance'},
        {label: 'ERROR', value: 'error'},
        {label: 'HALT', value: 'halt'},
        {label: 'ESTOP', value: 'estop'},
        {label: 'SETUP', value: 'setup'},
        {label: 'OFF', value: 'off'}
    ]

    return (
        <React.Fragment>
            <TriggerDurationInput ruleModel={'MachineRemainsInStateRuleParameters'} name={'trigger_duration'}/>
            <ParameterSelect ruleModel={'MachineRemainsInStateRuleParameters'} name={'trigger_states'} options={machineStateOptions} multiple/>
        </React.Fragment>
    )
})
