import Typography from "@material-ui/core/Typography";
import * as React from "react";
import {Divider, Grid, List, makeStyles} from "@material-ui/core";

type HintListProps = {
    hints: { key: string, text: string }[]
};

const useStyles = makeStyles((theme) => ({
    keyLabel: {
        marginRight: theme.spacing(2),
        fontWeight: 600
    }
}));

// TODO: Move this to the UI lib and use this for generic hint lists
export const HintList: React.FunctionComponent<HintListProps> = ({hints}) => {
    const classes = useStyles();

    return (
        <div>
            <List>
                {hints.map((hint, index) => {
                    return (
                        <React.Fragment>
                            <Grid container justifyContent={'space-between'} alignItems={'center'}>
                                <Grid item><Typography variant={'subtitle1'} className={classes.keyLabel}>{hint.key}</Typography></Grid>
                                <Grid item><Typography variant={'subtitle2'}>{hint.text}</Typography></Grid>
                            </Grid>
                            {index !== hints.length-1 && <Divider/>}
                        </React.Fragment>
                    )
                })}
            </List>
        </div>
    );
};