import * as React from "react";
import {observer} from "mobx-react-lite";
import {Box, Grid, makeStyles} from "@material-ui/core";
import Typography from "@material-ui/core/Typography";
import {grey} from "@material-ui/core/colors";
import {WarningRounded} from "@material-ui/icons";

type InlineWarningProps = {
    text: string;
}

const useStyles = makeStyles((theme) => ({
    wrapper: {
        color: grey[700],

    },
    icon: {
        fontSize: '2rem',
        marginRight: theme.spacing(0.5)
    },
    text: {
        fontSize: '1.5rem'
    }
}));

export const InlineWarning: React.FunctionComponent<InlineWarningProps> = observer((props) => {
    let {text} = props
    const classes = useStyles();

    return (
        <Box display={'flex'} alignItems={'center'} className={classes.wrapper}>
            <WarningRounded className={classes.icon}/>
            <Typography className={classes.text}>{text}</Typography>
        </Box>
    )
});