import * as React from "react";
import {observer} from "mobx-react-lite";
import {makeStyles} from "@material-ui/core";
import {grey} from "@material-ui/core/colors";

type TextBadgeProps = {
    text: string;
}

const useStyles = makeStyles(() => ({
    badge: {
        background: grey[300],
        margin: '1px',
        padding: '2px 4px',
        borderRadius: '3px',
        display: 'inline-block'
    }
}));

export const TextBadge: React.FunctionComponent<TextBadgeProps> = observer(({text}) => {
    const classes = useStyles();

    return (
        <div className={classes.badge}>{text}</div>
    )
})
