import * as React from "react";
import {t} from "@lingui/macro";
import {Schema} from "yup";
import * as yup from "yup";

type AttributeOptions = {
    validation: Schema<any>,
    label: string,
}

export const MachineRemainInStateSchema: Record<string, AttributeOptions> = {
    trigger_duration: {
        label: t`Machine in state for (minutes)`,
        validation: yup.number().min(300, t`The duration of the machine state must be at least 5 minutes.`).required('Machine state duration is required.')
    },
    trigger_states: {
        label: t`Machine States`,
        validation: yup.array().min(1).required('Select one or more machine states.')
    }
}