import * as React from 'react';
import {BreadModel, formatters, makeColumn} from "@rx-suite/ui";
import {AlertRuleForm} from "./form/AlertRuleForm";
import {t} from "@lingui/macro";
import {AlertRuleStore} from "../../stores/AlertRuleStore";
import {Check, Clear} from "@material-ui/icons";
import {green, red} from "@material-ui/core/colors";

export const AlertRuleBreadModel = () => {
    const columns = [
        makeColumn('name', t`Name`, "string"),
        makeColumn('description', t`Description`, "string"),
        makeColumn('enabled', t`Rule Enabled?`, "boolean",
            formatters.boolean(
                <Check style={{color: green[500]}}/>,
                <Clear style={{color: red[500]}}/>
            )
        ),
       ]

    return (
        <BreadModel store={AlertRuleStore} Form={AlertRuleForm} columns={columns}/>
    )
};