import * as React from "react";
import {HintButton, ModelInput} from "@rx-suite/ui";
import {t, Trans} from "@lingui/macro";
import Box from "@material-ui/core/Box";
import {Divider, Grid, List, ListItem, ListItemSecondaryAction, ListItemText, Typography} from "@material-ui/core";
import {HintList} from "../../../../components/generic/HintList";

export const AlertRuleEmailTab: React.FunctionComponent = () => {
    const placeHolderHints = [
        {key: "[machine]", text: "Replaced with the machine name."},
        {key: "[sn]", text: "Replaced with the machine serial number."},
        {key: "[state]", text: "Replaced with the machine state that trigger the alert."},
        {key: "[time]", text: "Replaced with the time the machine entered the state."},
    ]

    return (
        <React.Fragment>
            <Grid container alignItems={'center'}>
                <Typography variant={'caption'}><Trans>Tip: your email subject and body can contain placeholders. Click the help button to see examples.</Trans></Typography>
                <HintButton title={t`Email Placeholders`}>
                    <HintList hints={placeHolderHints}/>
                </HintButton>
            </Grid>
            <ModelInput name={"email_subject"}/>
            <Box mt={1}>
                <ModelInput multiline minRows={4} name={"email_body"} placeholder={t`Alert Email Body`} InputLabelProps={{shrink: true}} variant={"outlined"}/>
            </Box>
        </React.Fragment>
    )
};