import * as React from 'react';
import {BreadModel, makeColumn, makeFormattedDateTimeColumn} from "@rx-suite/ui";
import {AlertForm} from "./AlertForm";
import {t} from "@lingui/macro";
import {AlertModel, AlertStore} from "../../stores/AlertStore";
import {AlertAcknowledgeTableButton} from "../../components/alert/AlertAcknowledgeTableButton";

export const AlertBreadModel = () => {
    const columns = [
        makeColumn('alert_subject', t`Alert Subject`, "string"),
        makeColumn('sent_to', t`Sent To`, "string"),
        makeFormattedDateTimeColumn('created_at', t`Sent at`, "timeDate"),
    ];

    return (
        <BreadModel store={AlertStore} Form={AlertForm} columns={columns} mountCreate={false} tableProps={
            {
                customActions: (alert) => <AlertAcknowledgeTableButton model={alert as AlertModel}/>
            }
        }/>
    )
};