import * as React from 'react';
import {observer} from "mobx-react-lite";
import {ModelForm, ModelSelect, PaddedPaper} from "@rx-suite/ui";
import {SettingStore} from "../../stores/SettingStore";
import {LinearProgress} from "@material-ui/core";

export const SettingForm: React.FunctionComponent = observer(() => {
    const model = SettingStore.selectedModel

    if(!model){
        return (
            <PaddedPaper>
                <LinearProgress/>
            </PaddedPaper>
        );
    }

    const durationOptions = [
        {label: '15 minutes', value: 900},
        {label: '30 minutes', value: 1800},
        {label: '45 minutes', value: 2700},
        {label: '1 hour', value: 3600},
    ]

    return (
        <ModelForm model={model} suppressMakeCopy suppressImportExport>
            <ModelSelect name={'acknowledge_alert_after'} options={durationOptions}/>
        </ModelForm>
    )
});
