import {dataStorePermission, RouteDefinition} from "@rx-suite/ui";
import {AlternateEmail, Gavel, NotificationImportant, Settings} from '@material-ui/icons';
import {AlertingEmailStore} from './stores/AlertingEmailStore';
import {AlertRuleBreadModel} from "./pages/alert_rules/AlertRuleBreadModel";
import {t} from "@lingui/macro";
import {AlertStore} from "./stores/AlertStore";
import {AlertBreadModel} from "./pages/alerts/AlertBreadModel";
import {AlertingEmailBreadModel} from "./pages/alerting_emails/AlertingEmailBreadModel";
import {SettingForm} from "./pages/settings/SettingForm";
import {SettingStore} from "./stores/SettingStore";
import { AlertRuleStore } from "./stores/AlertRuleStore";

export const routes: RouteDefinition[] = [
    {
        label: t`Active Alerts`,
        to: "/alerts",
        exact: false,
        Component: AlertBreadModel,
        permission: dataStorePermission(AlertStore),
        Icon: NotificationImportant
    },
    {
        label: t`Settings`,
        to: "/settings",
        exact: true,
        Component: SettingForm,
        Icon: Settings,
        permission: dataStorePermission(SettingStore),
        children: [
            {
                label: t`Alert Rules`,
                to: "/alert_rules",
                exact: false,
                Component: AlertRuleBreadModel,
                permission: dataStorePermission(AlertRuleStore),
                Icon: Gavel
            },
            {
                label: t`Email Addresses`,
                to: "/alerting_emails",
                exact: false,
                Component: AlertingEmailBreadModel,
                permission: dataStorePermission(AlertingEmailStore),
                Icon: AlternateEmail
            }
        ]
    }
];
