import {attribute, DataStore, model, Model} from "@rx-suite/data";
import * as yup from 'yup';
import {t} from "@lingui/macro";

@model({
    transportLayer: "/api/settings",
    permissionTarget: "Setting",
    eager: true,
    singleton: true
})

export class SettingModel extends Model {
    @attribute({label: t`Id`, validation: yup.number()})
    id = 0;

    @attribute({label: t`Automatically Acknowledge Alerts After`, validation: yup.number()})
    acknowledge_alert_after = 600;

    constructor() {
        super();
        super.setup();
    }
}

export const SettingStore = SettingModel.store as DataStore<SettingModel>;