class AlertRecipient < ApplicationRecord
  class InvalidRecipientType < StandardError; end

  belongs_to :alert_shift, required: true

  def recipient_target_type
    AlertRecipient.resolve_recipient_type(target_id[0])
  end

  def real_id
    target_id.split('-')[1].to_i
  end

  def resolve_email_address
    if recipient_target_type == AlertRecipient.external
      users = ExternalDataCache::RxHub.instance.users.find { |u| u[:id] == real_id }
      users[:email]
    else
      AlertingEmail.where(id: real_id).first&.email
    end
  end

  def self.external
    "external"
  end

  def self.internal
    "internal"
  end

  def self.resolve_recipient_type(type)
    return external if type == "e"
    return internal if type == "i"

    raise InvalidRecipientType
  end
end
