class AlertRuleTarget < ApplicationRecord
  class InvalidAlertTarget < StandardError; end

  belongs_to :alert_rule

  enum alert_target_type: %i[machine machine_group]

  def self.resolve_target_type(type)
    return "machine_group" if type == "g"
    return "machine" if type == "m"

    raise InvalidAlertTarget
  end

  def target_identifier
    return "m-#{target_id}" if alert_target_type == "machine"

    "g-#{target_id}"
  end
end
