module TimeFormatter
  extend ActiveSupport::Concern

  def date_time_string_from_time_string(time_string)
    date = date_string_from_time_string time_string
    time = time_string_from_time_string time_string
    [date, time]
  end

  def date_string_from_time_string(time_string)
    Time.zone.parse(time_string).to_formatted_s(:iso8601).split('T')[0]
  end

  def time_string_from_time_string(time_string)
    Time.zone.parse(time_string).to_formatted_s(:time)
  end
end
