Rails.application.routes.draw do
  mount RxModule::Engine => "/api/rx_module"

  scope :api do
    resources :alert_shifts
    resources :alert_rules
    resources :alerting_emails
    resources :alerts, only: %i[show index] do
      member do
        patch "acknowledge"
      end
    end
    resources :settings, only: %i[show update index]

    # Routes to pull external data
    get "machines/all" => "machines#all" # Proxy to Rx-Data machines controller
    get "machine_groups/all" => "machine_groups#all" # Proxy to Rx-Data groups controller
  end

  root "/", controller: :index, action: :show, as: :index_show
  match "*path" => "index#show", :via => :all
end
