process.env.NODE_ENV = process.env.NODE_ENV || 'production'

const environment = require('./environment')
const webpack = require("webpack");

const TerserPlugin = environment.config.optimization.minimizer.find(m => m.constructor.name === 'TerserPlugin')
TerserPlugin.options.terserOptions.keep_classnames = true;
TerserPlugin.options.terserOptions.keep_fnames = true;
TerserPlugin.options.terserOptions.compress.unused = "keep_assign";
TerserPlugin.options.chunkFilter = (chunk) => {
    // ApexCharts does not minify correctly - the whole site crashes when it tries to load
    if (chunk.name === 'apexChartsChunk') {
        return false;
    }

    return true;
};
environment.plugins.prepend('Provide',
    new webpack.ContextReplacementPlugin(/moment[/\\]locale$/, /en|cs|fr|ja|zh/)
)
module.exports = environment.toWebpackConfig()
