class CreateAlerts < ActiveRecord::Migration[6.0]
  def change
    create_table :alerts do |t|
      t.belongs_to :alert_rule, null: false, foreign_key: {on_delete: :cascade}
      # Note: target_identifier is NOT a foreign as some situation don't have a rule target
      # For example, an entire machine group is being monitored, one machine may cause an alert
      # and we want to track that machine itself, which may or may not be a rule target model
      t.string :target_identifier

      t.string :alert_subject
      t.text :alert_body
      t.boolean :acknowledged, default: false
      t.string :acknowledged_by
      t.timestamps
    end
  end
end
