# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `rails
# db:schema:load`. When creating a new database, `rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 2023_09_22_170754) do

  create_table "alert_recipients", force: :cascade do |t|
    t.string "target_id"
    t.bigint "alert_shift_id"
    t.index ["alert_shift_id"], name: "index_alert_recipients_on_alert_shift_id"
  end

  create_table "alert_rule_targets", force: :cascade do |t|
    t.integer "alert_target_type"
    t.string "target_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "alert_rule_id"
    t.index ["alert_rule_id"], name: "index_alert_rule_targets_on_alert_rule_id"
  end

  create_table "alert_rules", force: :cascade do |t|
    t.string "name"
    t.string "description"
    t.text "email_subject"
    t.text "email_body"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.boolean "enabled", default: true
    t.text "parameters"
    t.string "type", default: "MachineInState", null: false
  end

  create_table "alert_shifts", force: :cascade do |t|
    t.integer "shift_id"
    t.bigint "alert_rule_id", null: false
    t.index ["alert_rule_id"], name: "index_alert_shifts_on_alert_rule_id"
  end

  create_table "alerting_emails", force: :cascade do |t|
    t.string "name"
    t.string "email"
  end

  create_table "alerts", force: :cascade do |t|
    t.bigint "alert_rule_id", null: false
    t.string "target_identifier"
    t.string "alert_subject"
    t.text "alert_body"
    t.boolean "acknowledged", default: false
    t.string "acknowledged_by"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "sent_to"
    t.index ["alert_rule_id"], name: "index_alerts_on_alert_rule_id"
  end

  create_table "external_email_targets", force: :cascade do |t|
    t.bigint "external_id"
  end

  create_table "groups", force: :cascade do |t|
    t.string "name"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["name"], name: "index_groups_on_name", unique: true
  end

  create_table "hub_users", force: :cascade do |t|
    t.integer "external_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "rx_module_logger_configs", force: :cascade do |t|
    t.string "location"
    t.string "level"
    t.integer "archive_count"
    t.integer "max_size"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "rx_module_model_audit_lines", force: :cascade do |t|
    t.bigint "rx_module_model_audit_id", null: false
    t.text "before"
    t.text "after"
    t.string "column"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["rx_module_model_audit_id"], name: "index_rx_module_model_audit_lines_on_rx_module_model_audit_id"
  end

  create_table "rx_module_model_audits", force: :cascade do |t|
    t.string "user_id"
    t.string "user_email"
    t.string "user_role"
    t.string "table"
    t.string "action"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "model_id"
  end

  create_table "rx_module_serial_numbers", force: :cascade do |t|
    t.string "owner"
    t.bigint "start_number"
    t.bigint "next_number"
    t.integer "padding"
    t.string "column_name", default: "number"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "prefix", limit: 3, default: ""
  end

  create_table "rx_module_tokens", force: :cascade do |t|
    t.string "value"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.integer "owner"
  end

  create_table "rx_module_update_histories", force: :cascade do |t|
    t.string "user"
    t.string "from_version"
    t.string "to_version"
    t.boolean "was_error"
    t.string "error_msg"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.boolean "in_progress"
    t.index ["created_at"], name: "index_rx_module_update_histories_on_created_at"
  end

  create_table "rx_module_worker_broadcasts", force: :cascade do |t|
    t.string "model_global_id"
    t.string "action"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "settings", force: :cascade do |t|
    t.integer "acknowledge_alert_after", default: 900
  end

  create_table "user_groups", force: :cascade do |t|
    t.bigint "group_id", null: false
    t.bigint "user_id"
    t.bigint "hub_user_id"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["group_id"], name: "index_user_groups_on_group_id"
    t.index ["hub_user_id"], name: "index_user_groups_on_hub_user_id"
    t.index ["user_id"], name: "index_user_groups_on_user_id"
  end

  create_table "users", force: :cascade do |t|
    t.string "name"
    t.string "email"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["email"], name: "index_users_on_email", unique: true
    t.index ["name"], name: "index_users_on_name", unique: true
  end

  add_foreign_key "alert_recipients", "alert_shifts"
  add_foreign_key "alert_shifts", "alert_rules"
  add_foreign_key "alerts", "alert_rules", on_delete: :cascade
  add_foreign_key "rx_module_model_audit_lines", "rx_module_model_audits"
  add_foreign_key "user_groups", "groups"
  add_foreign_key "user_groups", "hub_users"
  add_foreign_key "user_groups", "users"
end
